#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1
#export V=1

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# Ubuntu uses linux-headers-generic
ifeq ($(shell lsb_release -is),Ubuntu)
	SUBSTVARS = -Vdist:Depends="generic"
endif

# Debian uses linux-headers-amd64
ifeq ($(shell lsb_release -is),Debian)
	SUBSTVARS = -Vdist:Depends="amd64"
endif

%:
	dh $@

override_dh_gencontrol:
	dh_gencontrol -- $(SUBSTVARS)
